﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using Windows.UI.Xaml.Shapes;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace Chart_WinRT_Sample
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

    }

    public class ViewModel
    {
        public ViewModel()
        {
             
            this.power = new ObservableCollection<Entertainment>();

            power.Add(new Entertainment() { Value = 11, Sports = 28,  Intensity1 = 7 });
            power.Add(new Entertainment() { Value = 12, Sports = 28,  Intensity1 = 5 });
            power.Add(new Entertainment() { Value = 13, Sports = 28,  Intensity1 = 9 });
            power.Add(new Entertainment() { Value = 12.2, Sports = 28,  Intensity1 = 1 });
            power.Add(new Entertainment() { Value = 12, Sports = 28.5,  Intensity1 = 14 });
            power.Add(new Entertainment() { Value = 10, Sports = 24,  Intensity1 = 10 });
            power.Add(new Entertainment() { Value = 12, Sports = 20,  Intensity1 = 2 });
            power.Add(new Entertainment() { Value = 12, Sports = 29,  Intensity1 = 8 });
            power.Add(new Entertainment() { Value = 14, Sports = 30,  Intensity1 = 6 });
            power.Add(new Entertainment() { Value = 10, Sports = 24.5, Intensity1 = 8 });
            power.Add(new Entertainment() { Value = 10.1, Sports = 24, Intensity1 = 12 });
        }

        public ObservableCollection<Entertainment> power
        {
            get;
            set;
        }

    }
    public class Entertainment
    {
        public double Value { get; set; }

        public double Sports { get; set; }

        public int Intensity1 { get; set; }

    }

    public class CustomSeries:BubbleSeries
    {
        public CustomSeries()
        {
            this.LayoutUpdated += CustomSeries_LayoutUpdated;
        }

        void CustomSeries_LayoutUpdated(object sender, object e)
        {
            int index = this.Segments.Count;
            var chartSegment = from segment in this.Segments orderby (segment as BubbleSegment).Size select segment;
            foreach (var item in chartSegment)
            {
                Canvas.SetZIndex(item.GetRenderedVisual(), index);
                index--;
            }
        }
    }
}
